/* generated javascript */
var skin = 'monobook';
var stylepath = '../../../skins';

/* MediaWiki:Common.js */
/* Any JavaScript here will be loaded for all users on every page load. */

 // Кнопка «перанакіраваньне» ў панэлі інструмэнтаў акна рэдагаваньня
 if (mwCustomEditButtons) {
   mwCustomEditButtons[mwCustomEditButtons.length] = {
     "imageFile": "http://upload.wikimedia.org/wikipedia/ru/1/1d/Button_redirect_rus.png",
     "speedTip": "Перанакіраваньне ",
     "tagOpen": "#перанакіраваньне [[",
     "tagClose": "]]",
     "sampleText": "Зьмясьціце тут тэкст"};
 }

/* MediaWiki:Monobook.js (deprecated; migrate to Common.js!) */
/* Deprecated; use [[MediaWiki:common.js]] */

/*
==== кнопкі для кароткага апісаньня зьменаў па прыкладу польскай Вікіпэдыі ====
* Author: [[:pl:User:Adziura|Adam Dziura]]
* Fixes: [[:pl:User:Nux|Maciej Jaros]]
<pre>
*/
// main function
addOnloadHook(function ()
{
	// stop before starting
	if (window.autoSummariesDone)
		return;

	//
	// check if user is editing and if this is a summary field (not a section header field)
	var el = document.getElementById('wpSummary');
	if (el)
	{
		if (el.getAttribute('tabindex')==1) // hack! hopefully will not be changed
			return	// stop
		;
	}
	else
	{
		return;	// stop
	}
	
	//
	// adding element that will hold buttons
	el = el.nextSibling;
	var parent = document.createElement('span');
	parent.id = 'userSummaryButtonsA'
	el.parentNode.insertBefore(document.createElement('br'), el)
	el.parentNode.insertBefore(parent, el)
	
	//
	// adding summary buttons
	var cl = '';	// class is not needed (as on may style with the element above)
	// drobne różne
	addSummaryBtn(parent, 'артаграфія', 'addSumm("артаграфія")', cl,
		'артаграфія (orthography)');
	addSummaryBtn(parent, 'стыль', 'addSumm("стыль")', cl,
		'стыль (style)');
	addSummaryBtn(parent, 'спасылкі', 'addSumm("выпраўленьне спасылак")', cl,
		'спасылкі (linkfix)');
	addSummaryBtn(parent, 'дапаўненьне', 'addSumm("дапаўненьне")', cl,
		'дапаўненьне (expand)');
	addSummaryBtn(parent, 'абнаўленьне', 'addSumm("абнаўленьне зьвестак")', cl,
		'абнаўленьне зьвестак (update)');
        addSummaryBtn(parent, 'інтэрвікі', 'addSumm("інтэрвікі")', cl,
		'інтэрвікі (interwiki)');
        addSummaryBtn(parent, 'выява', 'addSumm("выява")', cl,
		'выява (image)');
        addSummaryBtn(parent, 'катэгорыя', 'addSumm("катэгорыя")', cl,
		'катэгорыя (category)');
        addSummaryBtn(parent, 'шаблён', 'addSumm("шаблён")', cl,
		'шаблён (template)');
});

/*
Params:
* el - parent element to hold buttons
* t - text to appear in the button
* a - action (as string) to be run after clicking a button; may be more then one function
* c - optional class name to be attached to the button
* d - a tooltip to be show when one highlights the button
*/
function addSummaryBtn(el, t, a, c, d) {
	var btn = document.createElement('a');

	btn.appendChild(document.createTextNode(t));
	btn.title = d;
	if (c!='')
		btn.className = c
	;
	btn.onclick = new Function(a);

	el.appendChild(btn);
}

function addSumm(txt) {
	var wpS = document.editform.wpSummary;
	if (wpS.value != '' && wpS.value.charAt(wpS.value.length-2) != '/')
		wpS.value += ', ' + txt
	else
		wpS.value += txt
	;
}

/*
</pre>


==== Дынамічныя навігацыйныя шаблёны ====
<pre>
*/

// set up the words in your language
var NavigationBarHide = '[ схаваць ]';
var NavigationBarShow = '[ паказаць ]';

// set up max count of Navigation Bars on page,
// if there are more, all will be hidden
// NavigationBarShowDefault = 0; // all bars will be hidden
// NavigationBarShowDefault = 1; // on pages with more than 1 bar all bars will be hidden
var NavigationBarShowDefault = 2;


// shows and hides content and picture (if available) of navigation bars
// Parameters:
//     indexNavBar: the index of navigation bar to be toggled
function toggleNavigationBar(indexNavBar)
{
	var NavToggle = document.getElementById("NavToggle" + indexNavBar);
	var NavFrame = document.getElementById("NavFrame" + indexNavBar);
	
	if (!NavFrame || !NavToggle)
		return
	;
	
	// values to be set
	var currDisplay;
	var currTitle;
	
	// if shown now
	if (NavToggle.firstChild.data == NavigationBarHide)
	{
		currDisplay = 'none';
		currTitle = NavigationBarShow;
	}
	// if hidden now
	else if (NavToggle.firstChild.data == NavigationBarShow)
	{
		currDisplay = 'block';
		currTitle = NavigationBarHide;
	}
	
	for (var NavChild=NavFrame.firstChild; NavChild!=null; NavChild=NavChild.nextSibling)
	{
		if (NavChild.nodeType==1)	// only if this is an element node
		{
			if (NavChild.className=='NavPic' || NavChild.className=='NavContent')
				NavChild.style.display = currDisplay
			else if (NavChild.className == 'NavToggle')
				NavChild.firstChild.data = currTitle
			;
		}
	}
}

// adds show/hide-button to navigation bars
function createNavigationBarToggleButton()
{
	// stop before starting
	if (window.createNavigationBarToggleButtonDone)
		return;

	var i;
	var indexNavBar = 0;
	var divs = document.getElementById('bodyContent').getElementsByTagName("div");
	// iterate over all < div >-elements
	for (i=0; i<divs.length; i++)
	{
		// if found a navigation bar
		if (divs[i].className == "NavFrame")
		{
			var NavFrame = divs[i];
			indexNavBar++;
			var NavToggle = document.createElement("a");
			NavToggle.className = 'NavToggle';
			NavToggle.setAttribute('id', 'NavToggle' + indexNavBar);
			NavToggle.setAttribute('href', 'javascript:toggleNavigationBar(' + indexNavBar + ');');
			
			var NavToggleText = document.createTextNode(NavigationBarHide);
			NavToggle.appendChild(NavToggleText);
			
			// add NavToggle-Button as first div-element 
			// in < div class="NavFrame" >
			NavFrame.insertBefore(NavToggle, NavFrame.firstChild);
			NavFrame.setAttribute('id', 'NavFrame' + indexNavBar);
		}
	}
	// if more Navigation Bars found than Default then hide all
	if (NavigationBarShowDefault < indexNavBar)
	{
		for(i=1; i<=indexNavBar; i++)
			toggleNavigationBar(i)
		;
	}

}

addOnloadHook(createNavigationBarToggleButton);

// </pre>